GeminiGemini
Demo environmentGet API key
  • Overview
  • Crypto Trading
  • Prediction Markets
  • Perpetuals
  • Stocks
  • API Reference
  • SDKs & Tools
Changelog
Gemini logoGemini logo

© 2026 Gemini Space Station, Inc.

API Reference overview
REST
    Orders
    Market Data
    Margin Trading
    Staking
    Clearing
    Instant Orders
    Fund Management
    Derivatives
    Prediction markets
    Common
      OAuth
        Authorization RequestGet Access TokenRefresh Access TokenRevoke Access Token
      Admin
WebSocket
    Core protocol
      IntroductionCoreAuthenticationCoreMessage formatCore
      Shared streams
        Book tickerL2 partial depthL2 differential depthTrade streamOrder eventsBalance updates
      Shared methods
    Prediction-market extensions
      Streams
        Position updatesPredictionContract statusPrediction
      Combo RFQ
        OverviewPredictionWebSocket streamsPredictionQuote methodsPredictionMaker integrationPredictionExamplesPrediction
FIX
Authentication and account context
Prediction markets schemas

Revoke Access Token

REST APIsCommonOAuthRevoke Access Token

Revoke Access Token

POSThttps://api.gemini.com/v1/oauth/revokeByToken

The access_token may be revoked at any time by using this endpoint. Once a token is revoked or expires, it can no longer be used to make requests. This endpoint is only available using an access_token and will revoke the token used to make the request.

POSTv1/oauth/revokeByToken
curl --request POST \
  --url https://api.gemini.com/v1/oauth/revokeByToken \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/oauth/revokeByToken"
}
'

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

requeststring·required
The literal string "/v1/oauth/revokeByToken"
Example request body
{
  "request": "/v1/oauth/revokeByToken"
}

Responses

An object that indicates the access_token has been revoked.

messagestring
A message that indicates the token has been revoked for the account
Example Responses
{
  "message": "OAuth tokens and codes have been revoked for 00000000-0000-0000-0000-000000000000 on your account."
}
PreviousRefresh Access TokenNextAdmin